/*
 * CoordinatorFactory.hpp
 *
 *  Created on: 03.09.2013
 *      Author: heber
 */

#ifndef COORDINATORFACTORY_HPP_
#define COORDINATORFACTORY_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Coordinator.hpp"

class HomologyGraph;

class CoordinatorFactory
{
public:
  CoordinatorFactory();
  ~CoordinatorFactory();

  Coordinator::ptr create(HomologyGraph &graph) const;
};

#endif /* COORDINATORFACTORY_HPP_ */
